curl --request GET \
--url https://staging.api.us.aptlydone.com/actions/v1/actions/global-search \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.us.aptlydone.com/actions/v1/actions/global-search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.us.aptlydone.com/actions/v1/actions/global-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"timestamp": "2026-01-08T06:27:47.915Z",
"message": "Success",
"data": {
"page": 1,
"limit": 10,
"total": 10,
"data": [
{
"id": "b6ea6e93-cf04-476f-818b-551b9413e881",
"actionId": "10001",
"tenantId": "7e554f0e-4d95-4638-9fa4-414ac2a185f7",
"actionName": "Review Financial Report",
"description": "This action requires reviewing the Q1 financial report.",
"actionTypeId": "555bd6ef-f595-4001-b0c3-c2bdbab42569",
"actionType": {
"id": "ab85f1e9-82b5-48ae-b225-36e641eb63db",
"tenantId": "08915416-1316-4009-ae23-be6a5ad81924",
"type": "Meeting",
"name": "Meeting",
"typeIcon": "calendar",
"status": true,
"isCustom": false
},
"actionTemplateId": "e546136b-2227-43a5-b2b7-94e803ec8d2a",
"actionTemplate": {
"id": "2795f097-2dc0-4c1c-b36d-78ac44cbc2db",
"tenantId": "b41705a3-90e1-4bec-ba85-94266a3f711e",
"name": "Weekly Status Meeting",
"description": "Template for recurring team status meetings",
"status": true,
"type": {
"id": "ab85f1e9-82b5-48ae-b225-36e641eb63db",
"tenantId": "08915416-1316-4009-ae23-be6a5ad81924",
"type": "Meeting",
"name": "Meeting",
"typeIcon": "calendar",
"status": true,
"isCustom": false
}
},
"actionPriorityId": "f1a69a9e-8c4b-431a-8137-fd925392a892",
"actionStatusId": "49a71424-b882-49a6-a505-8b0e8638f67d",
"decisionId": "0674251a-5401-4242-aade-69a9c5ea78e1",
"decisionDisplayId": "10001",
"delegationId": "2ffa6e47-fae9-43a9-b6ca-01132054a80d",
"delegationDisplayId": "10001",
"documentId": "eeb69abe-eae0-455a-8061-b7eebafc1f78",
"documentDisplayId": "10001",
"roleId": "71294e15-dc2c-4f6a-9760-e54e30f8f69a",
"link": "eyJ0ZW5hbnRJZCI6mZTktMmU5Zi00NDkxLTk5MTctYmFlYWUwY2UwYTQ2In0=",
"ownerId": "5982d167-d35d-4477-86d0-74ece8e7d727",
"owner": {
"id": "a0723133-71b0-4ac7-b64c-303ade18c108",
"email": "[email protected]",
"name": "Mrs. Nicole Dicki",
"displayName": "John Smith",
"profileImageUrl": "https://picsum.photos/seed/B4mHPJLh/283/2368",
"positions": [
{
"id": "9e7d8a5c-9deb-43b7-99e2-bdf1f4b9b741",
"positionName": "Managing Director - North",
"autoProvisioned": false
}
],
"mobilePhone": "987654321",
"primaryOrganizationId": "<string>",
"primaryOrganization": {
"id": "5ed38dca-34b0-4a05-a655-99ac08a0e45e",
"groupName": "engineering-team",
"displayName": "Engineering Team",
"tenantGroupTypeId": "44af7a86-6386-446e-a942-7389c35a4dd8",
"tenantGroupTypeName": "Department",
"legalName": "Engineering Team LLC",
"baseCurrency": "USD"
},
"manager": {
"id": "4faa4d07-6e72-42f8-acf2-4fb64e424449",
"name": "Managing Director - North",
"displayName": "John Doe",
"profileImageUrl": true
}
},
"dueDate": "2025-04-15T14:00:00.000Z",
"createdAt": "2025-03-01T09:00:00.000Z",
"updatedAt": "2025-03-01T09:00:00.000Z",
"createdBy": "name of creator",
"updatedBy": "name of updator",
"deletedOn": "2025-03-01T09:00:00.000Z",
"deletedBy": "name of deletor",
"copiedFrom": "2195ff5b-f0b4-4670-8ea6-ed207a34c947",
"isDeleted": false,
"isSystemGenerated": false,
"assignees": [
{
"id": "3a916c68-9ac8-420b-813a-81e4e4879a0b",
"assigneeId": "6105717d-efb2-47b3-8fae-879413e5a417",
"assignee": {
"id": "a0723133-71b0-4ac7-b64c-303ade18c108",
"email": "[email protected]",
"name": "Mrs. Nicole Dicki",
"displayName": "John Smith",
"profileImageUrl": "https://picsum.photos/seed/B4mHPJLh/283/2368",
"positions": [
{
"id": "9e7d8a5c-9deb-43b7-99e2-bdf1f4b9b741",
"positionName": "Managing Director - North",
"autoProvisioned": false
}
],
"mobilePhone": "987654321",
"primaryOrganizationId": "<string>",
"primaryOrganization": {
"id": "5ed38dca-34b0-4a05-a655-99ac08a0e45e",
"groupName": "engineering-team",
"displayName": "Engineering Team",
"tenantGroupTypeId": "44af7a86-6386-446e-a942-7389c35a4dd8",
"tenantGroupTypeName": "Department",
"legalName": "Engineering Team LLC",
"baseCurrency": "USD"
},
"manager": {
"id": "4faa4d07-6e72-42f8-acf2-4fb64e424449",
"name": "Managing Director - North",
"displayName": "John Doe",
"profileImageUrl": true
}
},
"actionStatusId": "8e517be4-9762-4d8c-9654-b8213f81fc25",
"actionStatusName": "TO DO",
"actionTakenDate": "2025-03-10T09:00:00.000Z"
}
],
"files": [
{
"id": "995c98c5-9751-4276-be10-e6d517d6ef15",
"fileUrl": "https://storage.example.com/files/report.pdf",
"fileType": "pdf",
"fileName": "fileName",
"createdAt": "2025-03-05T14:30:00.000Z"
}
],
"priority": {
"id": "ac8c73c0-134a-4226-8123-55dc97761b19",
"actionPriorityName": "High",
"isEnabled": true,
"colorName": "green"
},
"status": {
"id": "0991e896-9be4-48c2-a188-cbf27956b6e2",
"actionStatusName": "In Progress",
"isEnabled": true
},
"permissions": [
{
"allowed": true,
"relationship_key": "<string>"
}
]
}
]
}
}Search actions (GET)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number
x >= 11
Number of items per page
1 <= x <= 10010
Tenant ID
"bd236ff6-0e87-4fe0-8447-ebe0d5848da3"
Filter type (all, active, inactive, mine)
all, active, inactive, mine Selected tab for count calculation (all, active, inactive, mine). Used in count API for performance optimization. In search APIs, this field is accepted but currently ignored for future optimization.
all, active, inactive, mine Action status IDs (comma separated)
"6951a4b7-9d8c-49e2-81c7-7f6d3478adb8, 70114d97-da29-4d5d-94e9-16d145677c66"
Action priority IDs (comma separated)
"a322a23c-59fc-4aa4-893f-07e1ec8a8e6c, 1867768f-97b3-4b4a-9baf-90bca91bbcf0"
Action type IDs (comma separated)
"e2bb3048-43b8-468b-9626-07f3102b84b3, e9d39d9c-c8b1-42b8-bb20-5bb109df326e"
Owner IDs (comma separated)
"700b9a34-b584-425f-8618-9170965c985a, 7a8be8a3-1073-4b04-86a1-da64ef83d478"
Assignee IDs (comma separated)
"7e33ce35-4802-40e9-9090-695f56565f2a, 78e48647-654c-4b45-83e0-e72a4fde5505"
Search term for action name or description
"Financial"
Duration (in month)
3
Field to sort by. Supported values: status, dueDate, actionName, type, actionId, priority, rank, createdAt, updatedAt
"createdAt"
Sort order (asc/desc)
asc, desc "desc"
Creation date range - start date
Creation date range - end date
Due date date time for action
"2025-03-05T11:49:50.577Z"
Due date date time for action
"2025-03-15T11:49:50.577Z"
Start date for filtering (searches both creation and update dates)
End date for filtering (searches both creation and update dates)
Was this page helpful?